#include "vectorfont.h"

const std::string VectorFont::vectorSymbol = "⃗";

VectorFont::VectorFont() {}

void VectorFont::applyFont(const std::string& in, std::string& out) const {
	out = in[0] + vectorSymbol;
}

const std::string& VectorFont::getName() const {
	static const std::string name = "Vector";
	return name;
}

bool VectorFont::canApply(const std::string& in) const {
	return in.length() == 1;
}